---
sidebar_position: 5
description: Create album and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create album
 Creates an album to store images



`Function CreateAlbum(Val Name, Val Description = "", Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Name | --title | String | &#x2714; | Album name |
  | Description | --description | String | &#x2716; | Album description |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization parameters. See GetAuthParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK



```bsl title="1C:Enterprise/OneScript code example"
    Parameters  = GetVKParameters();
    Name        = "AlbumFromAutoTest";
    Description = "NewAlbumFromAutoTest";

    Result = OPI_VK.CreateAlbum(Name, Description, Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint vk CreateAlbum \
             --title "AlbumFromAutoTest" \
             --description "NewAlbumFromAutoTest" \
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint vk CreateAlbum ^
             --title "AlbumFromAutoTest" ^
             --description "NewAlbumFromAutoTest" ^
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "response": {
  "id": 311002666,
  "owner_id": -218861756,
  "size": 0,
  "title": "AlbumFromAutoTest",
  "feed_disabled": 0,
  "feed_has_pinned": 0,
  "can_upload": 1,
  "comments_disabled": 0,
  "created": 1765390818,
  "description": "NewAlbumFromAutoTest",
  "thumb_id": 0,
  "updated": 1765390818,
  "upload_by_admins_only": 1
 }
}
```
